View Issue Details

IDProjectCategoryView StatusLast Update
0000908luatexluatex bugpublic2015-10-06 17:35
ReporterCucoAssigned Toluigi scarso 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntuOS Version14.04 LTS
Product Version 
Target VersionFixed in Version0.80.1 
Summary0000908: LuaTeX crashes when using font cons.ttf
DescriptionHello there. When compiling a tex file that uses the cons.ttf cont, LuaTeX says:

This is LuaTeX, Version beta-0.76.0-2013121407 (rev 4627)
 restricted \write18 enabled.
(./cv.tex{/var/lib/texmf/fonts/map/pdftex/updmap/pdftex.map}{/home/rui/texmf/fon
ts/map/pdftex/cons/cons.map} [1] ){/usr/share/texlive/texmf-dist/fonts/enc/dvips
/base/8r.enc}{/home/rui/texmf/fonts/enc/pdftex/cons/cons.enc}</home/rui/texmf/fo
nts/truetype/cons/cons.ttfluatex: ../../../source/texk/web2c/luatexdir/pdf/pdfgen.w:97: strbuf_seek: Assertion `offset>=0&&offset<(off_t)b->size' failed.
Aborted (core dumped)

It always happens, and I don't know what to do to fix it. I enclosed the files, so please have a go. Thanks! Best regards,

Cuco
Steps To ReproduceCreate the XMTeX format with

luatex --ini xmtex.tex

(and then do \dump at the prompt), and then compile cv.tex with the command

luatex --fmt=xmtex --output-format=pdf cv.tex
TagsNo tags attached.

Activities

Cuco

2014-06-26 14:44

reporter  

LuaTeX.zip (317,450 bytes)

Hans Hagen

2014-10-24 16:59

manager   ~0001291

Next time make a better test set, i.e. not a format that forces us to install all kind of fonts hard coded in the format file.

xmtex.tex :

\catcode`\{=1
\catcode`\}=2
\directlua{tex.enableprimitives('',tex.extraprimitives())}
\dump \end

cv.tex:

\directlua{pdf.mapfile('+cons.map')}

\font\test=cons at 20pt \test test

\end

indeed there is an assert when the pseudo type-1 route is followed; there is no issue with this font when the lua font loader is used (native ttf).

luigi scarso

2014-10-27 17:10

developer   ~0001296

Fixed in rev. 5076.

Issue History

Date Modified Username Field Change
2014-06-26 14:44 Cuco New Issue
2014-06-26 14:44 Cuco File Added: LuaTeX.zip
2014-10-24 16:59 Hans Hagen Note Added: 0001291
2014-10-24 17:56 Hans Hagen Assigned To => luigi scarso
2014-10-24 17:56 Hans Hagen Status new => assigned
2014-10-27 17:10 luigi scarso Note Added: 0001296
2015-10-06 17:35 Hans Hagen Status assigned => closed
2015-10-06 17:35 Hans Hagen Resolution open => fixed
2015-10-06 17:35 Hans Hagen Fixed in Version => 0.80.1